CI fails in git submodule update --init --recursive for 386-linux-deb9

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

CI fails in git submodule update --init --recursive for 386-linux-deb9

Roland Senn
Hi

After pushing some commits, while running a CI pipeline, I persistently
get the following error for the validate-i386-linux-deb9 step:

$ git submodule update --init --recursive
fatal: Unable to create
'/builds/RolandSenn/ghc/.git/modules/libraries/Cabal/index.lock': File
exists.

Another git process seems to be running in this repository, e.g.
an editor opened by 'git commit'. Please make sure all processes
are terminated then try again. If it still fails, a git process
may have crashed in this repository earlier:
remove the file manually to continue.
Unable to checkout '63331c95ed15cc7e3d83850d308dc3a86a8c3c76' in
submodule path 'libraries/Cabal'

See https://gitlab.haskell.org/RolandSenn/ghc/pipelines/11311 .

How can I fix this? I have no access to this 386 linux machine, so I'm
unable to delete the file.

Roland
 
_______________________________________________
ghc-devs mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs